xxvethernet: XXxvEthernet_Config Struct Reference

| xxvethernet Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

- Data Structures
- Data Fields

Data Fields
XXxvEthernet_Config Struct Reference
Xxvethernet_v1_3

This typedef contains configuration information for a Xxv Ethernet device. More...

## Data Fields
u16 | DeviceId
| DeviceId is the unique ID of the device. More...
UINTPTR | BaseAddress
    BaseAddress is the physical base address of the
device's registers More...
u8 | Stats
| Statistics gathering option. More...
int | XxvDevType
| XxvDevType is the type of device attached to the Xxv Ethernet's AXI4-Stream interface - MCDMA in this case. More...
u32 | XxvDevBaseAddress
| XxvDevBaseAddress is the base address of the device attached to the Xxv Ethernet's AXI4-Stream interface. More...

## Detailed Description

This typedef contains configuration information for a Xxv Ethernet device.

## Field Documentation

UINTPTR XXxvEthernet_Config::BaseAddress

    BaseAddress is the physical base address of the

device's registers

Referenced by XxvEthernetSgDmaIntrExample(), XxvEthernetUtilEnterLocalLoopback(), XxvEthernetUtilUsxgmiiSetup(), XxvEthernetUtilUsxgmiiSetupBypassAN(), XXxvEthernet_CfgInitialize(), XXxvEthernet_ClearOptions(), XXxvEthernet_GetAutoNegSpeed(), XXxvEthernet_Initialize(), XXxvEthernet_SetAutoNegSpeed(), XXxvEthernet_SetOptions(), XXxvEthernet_SetUsxgmiiRateAndDuplex(), XXxvEthernet_Start(), XXxvEthernet_Stop(), XXxvEthernet_UsxgmiiAnMainReset(), and XXxvEthernet_UsxgmiiAnMainRestart().

u16 XXxvEthernet_Config::DeviceId

DeviceId is the unique ID of the device.

u8 XXxvEthernet_Config::Stats

Statistics gathering option.

u32 XXxvEthernet_Config::XxvDevBaseAddress

XxvDevBaseAddress is the base address of the device attached to the Xxv Ethernet's AXI4-Stream interface.

int XXxvEthernet_Config::XxvDevType

XxvDevType is the type of device attached to the Xxv Ethernet's AXI4-Stream interface - MCDMA in this case.